export declare class Logging {
    private static logFileLocation;
    private static stdout;
    private static fileStream;
    private static errorStream;
    private static writing;
    private static queue;
    static config(logfolder: string, stdout: boolean): void;
    static debug(...message: any[]): void;
    static log(...message: any[]): void;
    static warning(...message: any[]): void;
    static error(error: Error | string): void;
    static errorMessage(...message: string[]): void;
    private static message(type, message);
    private static writeMessageToFile(message, error?);
    private static checkQueue();
    private static initializeFile();
}
export declare enum LoggingTypes {
    Log = 0,
    Warning = 1,
    Error = 2,
    Debug = 3,
}
